Apps
Get App
Retrieve an App
GET
/
api
/
apps
/
beta
/
apps
/
{appId}
Get App
curl --request GET \
--url https://mycluster.domino.tech/api/apps/beta/apps/{appId} \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/apps/beta/apps/{appId}"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/apps/beta/apps/{appId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accessStatuses": [
{
"status": "ALLOWED",
"userId": "<string>"
}
],
"configurationType": "STANDARD",
"discoverable": true,
"entryPoint": "<string>",
"id": "<string>",
"mountDatasets": true,
"name": "<string>",
"project": {
"id": "<string>",
"name": "<string>",
"ownerId": "<string>",
"ownerUsername": "<string>",
"projectType": "Analytic"
},
"renderIFrame": true,
"url": "<string>",
"views": 123,
"visibility": "AUTHENTICATED",
"currentVersion": {
"createdAt": 123,
"environmentId": "<string>",
"environmentRevisionId": "<string>",
"extendedIdentityPropagationToAppsEnabled": true,
"externalVolumeMountIds": [
"<string>"
],
"hardwareTierId": "<string>",
"id": "<string>",
"netAppVolumeIds": [
"<string>"
],
"tags": [
{
"key": "<string>",
"value": "<string>"
}
],
"updatedAt": 123,
"autoscalingSpecification": {
"enabled": true,
"maxReplicas": 15,
"minReplicas": 15,
"scaleDownStabilizationWindowSeconds": 1800,
"scaleUpStabilizationWindowSeconds": 1800,
"targetCpuAvgUtilizationPct": 50,
"targetMemoryAvgUtilizationPct": 50,
"useSessionAffinity": true
},
"bundleId": "<string>",
"bundleName": "<string>",
"currentInstance": {
"createdAt": 123,
"id": "<string>",
"status": "<string>",
"describeUrl": "<string>",
"dfsCommitId": "<string>",
"gitCommitId": "<string>"
},
"description": "<string>",
"dfsCommitId": "<string>",
"entryScript": "<string>",
"gitRef": {
"type": "head",
"value": "<string>"
},
"publisher": {
"id": "<string>",
"name": "<string>"
},
"resolvedCommits": {
"dfsCommitId": "<string>",
"gitCommitId": "<string>",
"importedGitRepos": [
{
"ref": "<string>",
"repoId": "<string>",
"repoName": "<string>"
}
],
"importedProjects": [
{
"commitId": "<string>",
"directoryName": "<string>",
"ownerId": "<string>",
"projectId": "<string>",
"projectName": "<string>",
"release": "<string>"
}
]
},
"vanityUrl": "<string>",
"versionNumber": 123
},
"description": "<string>",
"properties": [
{
"fields": [
{
"propertyId": "<string>",
"propertyLabel": "<string>",
"status": "active",
"type": "text",
"updatedAt": 123,
"updatedBy": {
"userId": "<string>",
"username": "<string>"
},
"value": "<string>"
}
],
"groupName": "<string>"
}
],
"publisher": {
"id": "<string>",
"name": "<string>"
},
"taxonomyTags": [
{
"id": "<string>",
"label": "<string>",
"namespaceId": "<string>",
"description": "<string>",
"fullPath": [
"<string>"
],
"namespaceLabel": "<string>"
}
],
"thumbnailEtag": "<string>",
"updatedAt": 123,
"vanityUrl": "<string>"
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
nucleus_DominoApiKeynucleus_BearerAuthentication
Path Parameters
The id of the app to retrieve.
Response
Success
Show child attributes
Show child attributes
Type of configuration for the app which determines different deployment resources and settings.
Available options:
STANDARD, AISYSTEM Show child attributes
Show child attributes
Available options:
AUTHENTICATED, GRANT_BASED, GRANT_BASED_STRICT, PUBLIC The most recently started (which may be different from the most recently created) version of this App. If no version has been started, defaults to most recently created version.
Show child attributes
Show child attributes
Property values assigned to this app, grouped by group name.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Taxonomy tags assigned to this app. Omitted when the taxonomy feature is disabled.
Show child attributes
Show child attributes
Last modified on August 18, 2026
Was this page helpful?
⌘I
Get App
